Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Interface State.IOReg

All Known Implementing Classes:
  ATMega128L.SimImpl.PinRegister, State.RWIOReg

Enclosing interface:
  State

public static interface State.IOReg

The `IOReg` interface models the behavior of an IO register. Since some IO registers behave specially with regards to the devices they control, their functionality can be implemented externally to the `State` class.

Method Summary
`void` | `clearBit(int num)` The `clearBit()` method clears a single bit in the IO register.
`byte` | `read()` The `read()` method reads the 8-bit value of the IO register as a byte.
`boolean` | `readBit(int num)` The `readBit()` method reads a single bit from the IO register.
`void` | `setBit(int num)` The `setBit()` method sets a single bit in the IO register.
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.

Method Detail

### read

    public byte read()

  The `read()` method reads the 8-bit value of the IO register as a byte. For special IO registers, this may cause some action like device activity, or the actual value of the register may need to be fetched or computed.

  Returns:
    the value of the register as a byte

### write

    public void write(byte val)

  The `write()` method writes an 8-bit value to the IO register as a byte. For special IO registers, this may cause some action like device activity, masking/unmasking of interrupts, etc.

  Parameters:
    `val` - the value to write

### readBit

    public boolean readBit(int num)

  The `readBit()` method reads a single bit from the IO register.

  Parameters:
    `num` - the number of the bit to read
  Returns:
    the value of the bit as a boolean

### clearBit

    public void clearBit(int num)

  The `clearBit()` method clears a single bit in the IO register.

  Parameters:
    `num` - the number of the bit to clear

### setBit

    public void setBit(int num)

  The `setBit()` method sets a single bit in the IO register.

  Parameters:
    `num` - the number of the bit to clear

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD